Subject: bug#57015: 29.0.50; macOS: libgccjit was not found: Homebrew libgccjit 12.1.0

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Aug 2022 17:32:53 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 7 Aug 2022 09:26:23 -0500
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Recommending a package manager that breaks so often to our macOS users
> >> is doing them a disservice.
> >
> > Agreed.
> 
> Does Homebrew "break" often, or is it just that they happen to have more
> recent versions of things and that we struggle to keep up?

AFAIU, the solution we have for different ways ion which macOS
provides libgccjit is fragile and tends to break with new releases of
whatever macOS software that affects this.  We fixed this already
twice during the recent weeks.

> In any case, this seems rather academic to me as our recommendations in
> this regard will have little bearing on what users do in practice.
> Especially if our recommendation will be to compile the entire build
> environment manually: realistically, that's just not going to happen.
> 
> OTOH, if we want to recommend MacPorts or some other alternative package
> manager, that's fine by me.  But even that would be an uphill battle,
> and would also do little to solve our immediate issues (as the majority
> continue using Homebrew).

There's only this much we can do in this matter.